#!/bin/bash

# Copyright (C) 2004-2010 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana - C3SL/UFPR
#
# This file is part of le-pregao-712010
#
# le-pregao-712010 is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
# USA.

CONFIG="$HOME/.kde/share/config/networkmanagementrc"
uuid=$(ls /usr/share/kde4/apps/networkmanagement/connections/)

if test ! -d "$HOME/.kde/share/apps/networkmanagement/connections"; then
    mkdir -p "$HOME/.kde/share/apps/networkmanagement/connections"
fi

for con in $uuid; do
   ln -sf /usr/share/kde4/apps/networkmanagement/connections/$con \
          $HOME/.kde/share/apps/networkmanagement/connections/$con
done

name=$(kreadconfig --file $CONFIG --group Connection_$uuid --key Name)
if [[ $name != "proinfo71" ]]; then
    kwriteconfig --file $CONFIG --group Connection_$uuid \
                 --key Name proinfo71
    kwriteconfig --file $CONFIG --group Connection_$uuid \
                 --key Type 802-11-wireless
fi

old=$(kreadconfig --file $CONFIG --group General --key Connections)

for net in $uuid; do
    if ! grep -q "Connections=.*$net.*" $CONFIG; then
        if test "$old" == ""; then
            kwriteconfig --file $CONFIG --group General \
                         --key Connections $uuid
        else
            kwriteconfig --file $CONFIG --group General \
                         --key Connections $old,$uuid
        fi
    fi
done

chown -R --reference="$HOME" "$HOME/.kde"
